Name:		qesteidutil
Version:	3.4.0
Release:	%mkrel 1
Summary:	Estonian ID card utility

Group:		Office
License:	LGPLv2
URL:		http://id.eesti.ee
# svn co https://svn.eesti.ee/projektid/idkaart_public/branches/3.4/qesteidutil qesteidutil-3.4.0 && tar cjf qesteidutil-3.4.0.tar.bz2 qesteidutil-3.4.0
Source0:	%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	libp11-devel
BuildRequires:	qt4-devel
BuildRequires:	smartcardpp-devel
Requires:	opensc

%description
QEsteidUtil is a user-friendly application for managing Estonian ID Cards.
It can be used to to change and unlock PIN codes, examine the personal 
information stored on the card, extract and view the certificates, set 
up mobile ID and configure a personal @eesti.ee e-mail address.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C %{_target_platform}/build


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/qesteidutil
%{_datadir}/applications/qesteidutil.desktop
%{_datadir}/icons/hicolor/*/apps/qesteidutil.png




%changelog
* Sat Apr 23 2011 sander85 <sander85> 3.4.0-1.mga1
+ Revision: 89959
- imported package qesteidutil


* Sat Apr 23 2011 Sander Lepik <sander.lepik@eesti.ee> - 3.4.0-1.mga1
- new version 3.4.0

* Sat Mar 05 2011 Sander Lepik <sander.lepik@eesti.ee> - 3.3.0-2mdv2010.2
- spec corrected

* Tue Mar 01 2011 Sander Lepik <sander.lepik@eesti.ee> - 3.3.0-1mdv2010.1
- new release from SK

* Thu Oct 28 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.3.0-2mdv2010.1
- fix encoding when showing info about @eesti.ee address (issue #79)

* Wed Oct 13 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.3.0-1mdv2010.1
- New version 0.3.0

* Thu Sep 23 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-18mdv2010.1
- Rebuilt with new openssl

* Thu Sep 16 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-17mdv2010.1
- Patch1 removed, merged upstream

* Thu Sep 16 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-16mdv2010.1
- Patch1: fix some link colors

* Tue Sep 14 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-15mdv2010.1
- Changeset 2989: text corrections of changing passwords module

* Wed Sep 08 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-14mdv2010.1
- First build on new bs
- Spec file cleaned up

* Wed Apr 14 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-13mdv2010.1
- New build from Google Code repository

* Mon Mar 08 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-12mdv2010.1
- Changeset 2625: fix card info loading after cert update
- Changeset 2630: sertifikaadi blokeerituse ja aegumise teksti ei näidata enam üksteise peal
- Changeset 2631: parandatud kaardi andmete lugemine peale kaardilugejate eemaldamist ja uuesti kylgepanemist koos kaardiga (Ticket #877)
- Changeset 2632: vene keelse blokeeringu teksti parandus (Ticket #583)
- Changeset 2633: parandatud andmete lugemine kui avati Diagnostika aken ja seej2rel vahetati keelt (Ticket #1255)
- Changeset 2634, 2635: optimiseeritud keele vahetusel andmete lugemist
- Changeset 2636, 2637: kui pinpadi kasutada, siis nüüd sertifikaatide uuendamisel küsitakse PINi ilusti pinpadilt (Ticket #1285)
- Changeset 2638: PIN koodide muutmise retry=3 (Ticket #592)

* Fri Feb 12 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-11mdv2010.1
- rebuild with new smartcardpp

* Fri Feb 12 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-10mdv2010.1
- rebuild with new smartcardpp

* Fri Jan 22 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-9mdv2010.1
- Changeset 2452: fix issuer info
- Changeset 2455: add common_en strings

* Mon Jan 18 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-8mdv2010.1
- Changeset 2402: parandatud eposti seadete nupukesed (Ticket #1223)
- Changeset 2403: parandatud kaardi vahetamisel mobiil-id nupud (Ticket #1082)
- Changeset 2405: pin ja puk koodi valideerimise proovimine 3 korda (Ticket #1085)
- Changeset 2406: validate certificate before connection (Ticket #1022)
- Changeset 2430: fix build
- Changeset 2436: translation update
- Changeset 2437, 2438, 2442: lang.js update
- Changeset 2441: fix build with new API

* Wed Dec 30 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-7mdv2010.1
- Changeset 2345: little check to cert update (#744)
- Changeset 2362: update translations (Ticket #929)
- Changeset 2365: translation update
- 

* Thu Dec 17 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-6mdv2010.1
- Changeset 2289: on first run use OS language (Ticket #1032)
- Changeset 2304: Don't include <QtWebKit?>  header to avoid pulling in unneeded <QtXmlPatterns?>
- Changeset 2308, 2309, 2310, 2311: lang.js update
- Changeset 2342: translation update

* Mon Dec 07 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-5mdv2010.1
- Changeset 2237: translation update
- Changeset 2258: Changed all references of smartcard++ to smartcardpp
- Changeset 2260: Link with smartcardpp library instead of using externals

* Thu Nov 26 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-4mdv2010.1
- Changeset 2196: lang.js update

* Tue Nov 24 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-3mdv2010.1
- Changeset 2170: qesteidutil translations update

* Mon Nov 23 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-2mdv2010.1
- Fix for language selection

* Fri Nov 20 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-1mdv2010.1
- Initial release for Mandriva

* Sun Jun 14 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.2.svn2103
- Initial RPM release.

